require File.expand_path(File.dirname(__FILE__) + '/spec_helper')
require 'mememe'
require 'mememe/memes/joe_meme'

describe JoeMeme do

  let(:meme) { JoeMeme.new }

  it "says 'Then I Spoke To Joe' at the bottom" do
    expect(meme.bottom_phrase).to eq "then i spoke to joe"
  end

  it "uses the joe.jpg image" do
    expect(meme.image).to eq(MemeMe.images[:joe])
  end

  it "has a name of 'joe'" do
    expect(meme.name).to eq('joe')
  end

end